Update Jira Settings
curl --request PUT \
--url https://api.example.com/api/integrations/jira \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"site_url": "<string>",
"email": "jsmith@example.com",
"api_token": "<string>",
"clear_api_token": true,
"project_key": "<string>",
"issue_type": "<string>",
"labels": null,
"default_assignee": "<string>",
"create_issues": true,
"update_issues_on_resolve": true,
"sync_status_from_jira": true,
"sync_comments_from_jira": true,
"webhook_secret": "<string>",
"clear_webhook_secret": true
}
'import requests
url = "https://api.example.com/api/integrations/jira"
payload = {
"enabled": True,
"site_url": "<string>",
"email": "jsmith@example.com",
"api_token": "<string>",
"clear_api_token": True,
"project_key": "<string>",
"issue_type": "<string>",
"labels": None,
"default_assignee": "<string>",
"create_issues": True,
"update_issues_on_resolve": True,
"sync_status_from_jira": True,
"sync_comments_from_jira": True,
"webhook_secret": "<string>",
"clear_webhook_secret": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
site_url: '<string>',
email: 'jsmith@example.com',
api_token: '<string>',
clear_api_token: true,
project_key: '<string>',
issue_type: '<string>',
labels: null,
default_assignee: '<string>',
create_issues: true,
update_issues_on_resolve: true,
sync_status_from_jira: true,
sync_comments_from_jira: true,
webhook_secret: '<string>',
clear_webhook_secret: true
})
};
fetch('https://api.example.com/api/integrations/jira', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": false,
"site_url": "<string>",
"email": "jsmith@example.com",
"has_api_token": false,
"project_key": "<string>",
"issue_type": "<string>",
"labels": [
"<string>"
],
"default_assignee": "<string>",
"create_issues": true,
"update_issues_on_resolve": true,
"sync_status_from_jira": true,
"sync_comments_from_jira": false,
"has_webhook_secret": false,
"webhook_secret": "<string>",
"owner_user_id": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}integrations
Update Jira Settings
PUT
/
api
/
integrations
/
jira
Update Jira Settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Cookies
Body
application/json
Response
Successful Response
⌘I

